name: prestabase
display_name: Prestabase
version: 1.0.0
author:
  name: "Kiwik"
  email: "contact@studio-kiwik.fr"
  url: "https://www.studio-kiwik.fr"

meta:
  compatibility:
    from: 1.7.6.0
    to: ~

  available_layouts:
    layout-full-width:
      name: Full Width
      description: No side columns, ideal for distraction-free pages such as product pages.
    layout-both-columns:
      name: Three Columns
      description: One large central column and 2 side columns.
    layout-left-column:
      name: Two Columns, small left column
      description: Two columns with a small left column
    layout-right-column:
      name: Two Columns, small right column
      description: Two columns with a small right column

assets:
# empty

global_settings:
  configuration:
    PS_IMAGE_QUALITY: png
    PS_PNG_QUALITY: 0
    NEW_PRODUCTS_NBR: 12
  modules:
    to_enable:
      # All modules below are enabled when
      # the theme is enabled (and installed if needed).
      # They are disabled when the theme is disabled.
      - antispam
      - contactform
      - gsitemap
      - kwk_imageslider
      - kwkboxdesign
      - kwkcreatenewhook
      - kwkfixcorejs
      - kwkfeaturedproducts
      - kwkoverrides17
      - kwkseooptimization
      - kwksitemapextension
      - mobilemenu
      - ps_emailalerts
      - pscookiebanner
      - psgdpr
      - quickcanonical
      - quicktracking
    to_disable:
      # All modules below are disabled when the theme is enabled.
      # They are re-enabled when the theme is disabled.
      - blockreassurance
      - ps_featuredproducts
      - ps_mainmenu
      - ps_imageslider
    to_reset:
    # All modules below are reset when the theme is enabled.
       - ps_emailalerts
  hooks:
    modules_to_hook:
      displayNav1:
        - ps_contactinfo
      displayNav2:
        - ps_languageselector
        - ps_currencyselector
      displayTop:
        - ps_searchbar
        - ps_customersignin
        - ps_shoppingcart
      displayHome:
        - kwk_imageslider
        - ps_featuredproducts
        - ps_banner
        - ps_customtext
      displayFooter:
        - ps_linklist
        - ps_contactinfo
        - ps_emailsubscription
      displayFooterAfter:
        - ps_socialfollow
      displayLeftColumn:
        - ps_categorytree
      displayProductAdditionalInfo:
        - ps_sharebuttons
      displayOrderConfirmation2:
        - ps_featuredproducts
      displayCrossSellingShoppingCart:
        - ps_featuredproducts

  image_types:
    cart_default:
      width: 80
      height: 80
      scope: [products]
    small_default:
      width: 125
      height: 125
      scope: [products, categories, manufacturers, suppliers]
    medium_default:
      width: 540
      height: 540
      scope: [products, categories, manufacturers, suppliers]
    home_default:
      width: 255
      height: 255
      scope: [products]
    large_default:
      width: 800
      height: 800
      scope: [products]
    category_default:
      width: 255
      height: 255
      scope: [categories]
    stores_default:
      width: 170
      height: 115
      scope: [stores]
    product_miniature:
      width: 256
      height: 256
      scope: [products]
    product_small:
      width: 420
      height: 420
      scope: [products]
    product_medium:
      width: 560
      height: 560
      scope: [products]
    product_large:
      width: 720
      height: 720
      scope: [products]
    product_hd:
      width: 1440
      height: 1440
      scope: [products]

theme_settings:
  default_layout: layout-full-width
  layouts:
    category: layout-left-column
    best-sales: layout-left-column
    new-products: layout-left-column
    prices-drop: layout-left-column
    contact: layout-full-width

dependencies:
  modules:
    - antispam
    - gsitemap
    - kwk_imageslider
    - kwkboxdesign
    - kwkcreatenewhook
    - kwkfixcorejs
    - kwkfeaturedproducts
    - kwkoverrides17
    - kwkseooptimization
    - kwksitemapextension
    - mobilemenu
    - ps_emailalerts
    - pscookiebanner
    - psgdpr
    - quickcanonical
    - quicktracking